RetroELEC (Generic/RPi/XU4) Emulationstation/RetroArch/Kodi

  • Im testing a build using yaourt (From the archlinuxfr repo) to compile from source using the AUR

  • Compiling the package is not a problem, maintaining a repo with it is when I can just fetch the package from archlinuxcn. I can't really see the point of running it on CPU's that aren't nearly fast enough to run at PS2 speeds.

  • 20170917:


  • in my case it slowdown all emulators in [email protected] (max fps supported for this resolution), so I force to [email protected] retroarch and dolphin

    I will do the same with a xandr command in script


    I also have many artifacts, so your lastest LE8 include a corrected PCSX2 version?

  • I was talking about the older 1.4 version. I don't believe I've used that version in my docker image, you can probably check the version in the menus somewhere.


    I haven't included any auto update feature, so for now you can update the docker images like this to get the last version:


    docker pull escalade1/arch-pcsx2

  • I was talking about the older 1.4 version. I don't believe I've used that version in my docker image, you can probably check the version in the menus somewhere.


    I haven't included any auto update feature, so for now you can update the docker images like this to get the last version:


    docker pull escalade1/arch-pcsx2

    sorry to asked you that stupid question as a knew the answer and yes I'm using the git version

    just another question about your BIOS settings, how much memory did you set for graphic card?

  • PrimusNZ : I'll guess escalade is right about the CPU is too weak to run PCSX2, was just a test and I guess I need more CPU power to run it. I rather run things smooth or not at all rather than choppy. Thanks for the effort of the docker tho, might try it some day. But for now SNES, NES and GBA + ScummVM emu are good enough I guess.

  • ok, i've checked it. on the client portmapper and rpcbind are installed.


    i'm on version 2017-09-13.


    rpcinfo gives my this:


  • Hi! Im trying to play PSX games an it didn't work fine....y tried the tree cores with similar results.

    It's strange cause I use same cores in retropie and goes smother...

    Any idea about it?

    And always thanks for your great work Escalade


    Edit...sorry, I'm talking about retropie;)

  • Hi escalade


    I gave a try on another computer to LE remix but can't get audio working

    I tested official build and it's working out of the box

    my soundcard is HDA Intel PCH, CX20724 Analog and did not see revelant informations in logs


    Edited once, last by meldrak ().

  • Don't know what's going on with that, no RPi here to test. You could update manually by writing the image to a USB, then copy over SYSTEM/KERNEL to your /flash.


    I managed to get the 20170915 update to go through (on Pi 3) by using an earlier tar update file but inserting the updated files from the .img.gz file.


    So...definitely something with the img.gz file or how it gets processed during update. This certainly seems like an upstream bug but I cannot find any forum postings about it anywhere. I even tried reviewing the busybox init script (which handles the updating) but could not find anything that I understood to be the root cause.


    How annoying would it be for you to continue posting .tar files for the pi 2/3?

  • jaykass


    Do official .img.gz's work? I guess I can go back to .tar's as I can easily keep below 512MB with Zstd compression. It would be helpful if you could manually do the update steps in the busybox init file, and perhaps see if you can find out why it's failing. I suppose it's the actual mount command, but I can't see why that would fail. When you are in the shell you might find a clue.

  • Looks like my TVheadend server won't start after updating to your AVX build "LibreELEC-Generic.x86_64-8.2-devel-20170917.tar"


    The I tried "LibreELEC-Generic.x86_64-8.2-devel-20170915.img.gz" afterwards and it runs fine.



    I found this in the addon log file, is it possible that the library libvdpau.so.1 is missing?


  • Do official .img.gz's work?

    I haven't tried an official image yet. When I get some more time I will try an official image and also walking through the init script steps manually.


    Thanks for posting the tar file for now.